Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder_uuid}/refunds \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder_uuid}/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder_uuid}/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "39be7d0a-02ad-3430-a130-a42f7cfc8ff1",
"invoice_id": "dbaf6cb3-d10b-3525-b0c1-0d32c3b479ec",
"order_uuid": "67b894d4-d854-307b-819d-5cc158bb3315",
"reference_id": "a4da1aa6-aabd-32da-9eb3-e8e23e17f989",
"refund_reason": "Maxime.",
"refund_method": "Aut.",
"status": "pending",
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "192.00",
"amount_minor": 19200
},
"items": {
"data": [
{
"uuid": "a207e190-0bda-3837-9adb-6d13b13b3baf",
"order_line_uuid": "1b0c243d-0439-3436-8ad2-393fad53329b",
"amount": {
"currency": "USD",
"amount": "384.00",
"amount_minor": 38400
}
}
]
}
},
{
"uuid": "8a74a00e-95d1-3d09-a1a1-7fec1bf50f55",
"invoice_id": "d3a306a9-a5b1-3ee3-9b69-f08a021c4819",
"order_uuid": "4b467e42-398f-36dd-be12-95783bd4d0a6",
"reference_id": "289ffc0a-03c7-3b13-a96b-0412a022cae2",
"refund_reason": "Inventore.",
"refund_method": "Et earum.",
"status": "pending",
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "218.00",
"amount_minor": 21800
},
"items": {
"data": [
{
"uuid": "1d635358-6854-321d-8271-cd59c8c5d028",
"order_line_uuid": "bc4aac86-969e-316e-82d2-e205291ebb69",
"amount": {
"currency": "USD",
"amount": "741.00",
"amount_minor": 74100
}
}
]
}
}
],
"meta": {
"current_page": 1,
"total": 2,
"per_page": 10
}
}List all Refunds for Order.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
[
{
"uuid": "39be7d0a-02ad-3430-a130-a42f7cfc8ff1",
"invoice_id": "dbaf6cb3-d10b-3525-b0c1-0d32c3b479ec",
"order_uuid": "67b894d4-d854-307b-819d-5cc158bb3315",
"reference_id": "a4da1aa6-aabd-32da-9eb3-e8e23e17f989",
"refund_reason": "Maxime.",
"refund_method": "Aut.",
"status": "pending",
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "192.00",
"amount_minor": 19200
},
"items": {
"data": [
{
"uuid": "a207e190-0bda-3837-9adb-6d13b13b3baf",
"order_line_uuid": "1b0c243d-0439-3436-8ad2-393fad53329b",
"amount": {
"currency": "USD",
"amount": "384.00",
"amount_minor": 38400
}
}
]
}
},
{
"uuid": "8a74a00e-95d1-3d09-a1a1-7fec1bf50f55",
"invoice_id": "d3a306a9-a5b1-3ee3-9b69-f08a021c4819",
"order_uuid": "4b467e42-398f-36dd-be12-95783bd4d0a6",
"reference_id": "289ffc0a-03c7-3b13-a96b-0412a022cae2",
"refund_reason": "Inventore.",
"refund_method": "Et earum.",
"status": "pending",
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "218.00",
"amount_minor": 21800
},
"items": {
"data": [
{
"uuid": "1d635358-6854-321d-8271-cd59c8c5d028",
"order_line_uuid": "bc4aac86-969e-316e-82d2-e205291ebb69",
"amount": {
"currency": "USD",
"amount": "741.00",
"amount_minor": 74100
}
}
]
}
}
]
Show child attributes